/*	
 *	AntilagAttachment overrides an ROWeaponAttachment just to change the tracer class
 *	to Antilag bullets.  Easier than trying to change and replicate it after instantiation
 *
 *		-Mekhazzio 
 */

`ifdef(ALCLASSOVERRIDE)
class AL_Attach_`{ALCLASSOVERRIDE} extends ROWeapAttach_`{ALWEAPONNAME};
`else
class AL_Attach_`{ALWEAPONNAME} extends ROWeapAttach_`{ALWEAPONNAME};
`endif

defaultproperties
{
/**
 *	This is the unique instance of the AnimTree used by this SkeletalMeshComponent.
 *	THIS SHOULD NEVER POINT TO AN ANIMTREE IN A CONTENT PACKAGE.
 *
 * var()	const editinline export	AnimNode	Animations <MaxPropertyDepth=3>;	Begin Object Name=SkeletalMeshComponent0
 **/
`ifdef(ALATTACHANIMTREE)
 	Begin Object Name=SkeletalMeshComponent0
	 	Animations=none;	//So yeah, it turns out that Epic wasn't kidding about that ^^^
	 	AnimTreeTemplate=`{ALATTACHANIMTREE}
	End Object
`endif	

	TracerClass=class'AL_`{ALBULLETNAME}Tracer'
}
