/*	
 *	AntilagAnnouncer is spawned to send an announcement to clients a short time after they spawn
 *	Clunky, but the cleanest way of doing it with a mutator
 *
 *		-Mekhazzio 
 */

class AntilagAnnouncer extends Info;

 
var ROPlayerController ROPC;
var bool bAdvancedBallistics;

function PostBeginPlay()
{
	SetTimer(`{ALANNOUNCEDELAY} , false, 'ALAnnounceMessage' );
	
	Super.PostBeginPlay();	
}

function ALAnnounceMessage()
{
	if (ROPC != none)
	{
		ROPC.ClientMessage( `{ALANNOUNCEMESSAGE} $ (bAdvancedBallistics) ? `{ALANNOUNCEBALLISTICS} : "",'CriticalEvent' );
		
`ifdef(ANTILAGGFX)
		ROPC.ClientMessage(`{ALTESTMODEMSG},'CriticalEvent' );
`endif
	}
	Destroy();
}

defaultproperties
{
}